summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/maps/map_with_flags_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/maps/map_with_flags_0')
-rwxr-xr-xtests/shell/testcases/maps/map_with_flags_021
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/shell/testcases/maps/map_with_flags_0 b/tests/shell/testcases/maps/map_with_flags_0
new file mode 100755
index 00000000..8774eb51
--- /dev/null
+++ b/tests/shell/testcases/maps/map_with_flags_0
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+$NFT add table x
+$NFT add map x y { type ipv4_addr : ipv4_addr\; flags timeout\; }
+
+EXPECTED="table ip x {
+ map y {
+ type ipv4_addr : ipv4_addr
+ flags timeout
+ }
+}"
+
+GET="$($NFT list ruleset)"
+
+if [ "$EXPECTED" != "$GET" ] ; then
+ DIFF="$(which diff)"
+ [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
+ exit 1
+fi